database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
ㆍPostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
CUBRID
LDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
PostgreSQL Q&A 10427 게시물 읽기
No. 10427
ubuntu postgresql-server-dev-15 에 해당하는 rocky에서의 패키지 이름은 ?
작성자
이규동(twinslee)
작성일
2023-05-10 19:37
조회수
6,055

* oracle_fdw 인스톨이 목적지 입니다.


* ubuntu 22.04에서 postgresql 15를 아래와 같이 

 sudo apt install postgresql postgresql-contrib 설치하고

oracle instant lient를 설치하고

어렵게 찾은 

sudo apt -y install postgresql-server-dev-15

를 설치해주면

oracle_fdw가 문제없이 설치가 되었습니다.


* rocky9.0 oracle_fdw를 설치하려고 하는데 문제가 발생하고 있습니다.

rocky 에서는 postgresql설치과정부터 차이게 있네요

$ sudo dnf install -y https://download.postgresql.org/pub/repos/yum/reporpms/EL-9-x86_64/pgdg-redhat-repo-latest.noarch.rpm

$ sudo dnf -y install --nogpgcheck postgresql15-server postgresql15-contrib

여기까지는 문제없이 진행이 되었습니다.


ubuntu의 postgresql-server-dev-15 와 같은 임무의 패키지가 postgresql15-devel 가 아닐까 생각하여

어찌어찌 하여 

postgresql15-devel 설치까지는 마쳤는데.

oracle_fdw 의 make에서 


시도해 보았지만 위와같은 에러가 발생하고 있습니다.

gcc: fatal error: cannot read spec file ‘/usr/lib/rpm/redhat/redhat-hardened-cc1’: 그런 파일이나 디렉터리가 없습니다

에러가 발생 하였습니다.


* 아무래도 

ubuntu의 postgresql-server-dev-15 와 같은 임무의 패키지가 postgresql15-devel가 아닌듯 싶습니다.

rocky에서는 어찌해야 ubuntu에서 postgresql-server-dev-15 를 설치할수 있을까요.


부탁드립니다.






부탁드립니다.

이 글에 대한 댓글이 총 2건 있습니다.

하루 종일 제 텔레그램을 바쁘게 했던 글이네요. 


Rocky 9 쪽 패키지 관리의 의존성이 아직은 완벽하지는 않네요. 


결론은 

dnf install postgresql15-devel

이 명령어 한줄로 해결이 나야하는데, 제가 테스트해본 rocky 9.1 환경에서는 약간의 수고가 필요합니다. 


원인은 perl-ipc-run 패키지 의존성을 못 풀어서 postgresql15-devel 패키지를 설치못하는 거였는데, 

rocky 공식 패키지 저장소에서는 이 perl-ipc-run 패키지를 제공하고 있지 않습니다. 


이리 저리 찾아보니, CentOS 9 패키지 저장소에 있길래, 그걸 먼저 설치하려 했으나, 

또  perl-io-tty 패키지를 필요로 해서, 


위 postgresql15-devel 패키지를 설치하기 전에, 

차례로 

dnf install https://rpmfind.net/linux/centos-stream/9-stream/CRB/aarch64/os/Packages/perl-IO-Tty-1.16-4.el9.aarch64.rpm


dnf install https://rpmfind.net/linux/centos-stream/9-stream/CRB/aarch64/os/Packages/perl-IPC-Run-20200505.0-6.el9.noarch.rpm


두 작업을 먼저 해주었습니다. (dnf로 rpm파일을 직접 설치할 때는 rpm 파일의 의존성 문제는 사용자가 직접 해결해야합니다. 그래서 순서도 맞게 차례로 진행해야합니다.)

직접 해본다면, 질문 글을 보면 x86_64 cpu를 사용하니까, 


dnf install https://rpmfind.net/linux/centos-stream/9-stream/CRB/x86_64/os/Packages/perl-IO-Tty-1.16-4.el9.x86_64.rpm


이 명령으로 tty 패키지를 설치해야겠네요. 


다음 최종으로 postgresql15-devel 패키지 설치하면 됩니다. 

그러면, /usr/pgsql-15 각종 빌드를 위한 파일들이 설치가 되네요. 

 

김상기(ioseph)님이 2023-05-10 23:22에 작성한 댓글입니다.

김상기 님 너무너무 감사합니다.

이건 때문에 많은 시간을 투자해주신 것 같아 죄송스럽고, 감사합니다.


리눅스와 postgresql의 입문자인 저에게는 너무 험난하네요.


오라클과 SQLServer에서 움직이는 시스템을 Postgresql버전도 개발하려 하는데,

배포판 리눅스와 Postgresql에서 환경갖추는데 이리 어려울줄은 미처 몰랐습니다.


가이드 해주신 절차대로 다시한번 도전해 보도록 하겠습니다.

감사합니다.

 

이규동(twinslee)님이 2023-05-11 17:35에 작성한 댓글입니다.
[Top]
No.
제목
작성자
작성일
조회
10431windows 에서 PostgreSQL 엔진 갑자기 종료되는 현상/시작 안되는 현상 문의 [2]
송시윤
2023-05-15
6349
10430plv8에 대해서, 인스톨 절차(ubuntu, postgresql 15.2) 부탁드립니다. [7]
이규동
2023-05-15
6091
10428PK 조회시 순서가 이상해요. [1]
김대승
2023-05-12
5894
10427ubuntu postgresql-server-dev-15 에 해당하는 rocky에서의 패키지 이름은 ? [2]
이규동
2023-05-10
6055
10424lock확인을 위한 query history 확인 방법 [2]
키아
2023-05-08
5757
10423Postgresql 15.2 Windows Ver에서 PG_HINT_PLAN 사용 가능한가요 ? [2]
이규동
2023-05-07
5716
10422oracle_fdw 인스톨시 에라 [oracle_fdw.c:8:10: fatal error: postgres.h] 해결방법 부탁드립니다. [3]
이규동
2023-05-02
5798
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2024 DSN, All rights reserved.
작업시간: 0.018초, 이곳 서비스는
	PostgreSQL v16.2로 자료를 관리합니다